# Configuration file

camera {
    # The maximum camera distance, in blocks. [range: 16 ~ 256, default: 32]
    I:maxDistance=32
}


chatbox {
    # Enable Creative Chat Boxes. [default: true]
    B:enableCreative=true

    # Make the normal Chat Box have no range limit and work interdimensionally. [default: false]
    B:makeMagical=false

    # The maximum chat box distance, in blocks. [range: 4 ~ 32767, default: 40]
    I:maxDistance=40

    # The Chat Box's default prefix. [default: ChatBox]
    S:prefix=ChatBox
}


cipherblock {
    # Decides whether Cipher Blocks can or cannot be locked. [default: true]
    B:canLock=true
}


enable {
    B:audioCable=true
    B:camera=true
    B:chatBox=true
    B:cipher=true
    B:cipher_advanced=true
    B:ironNoteBlock=true
    B:lamp=true
    B:portableTapeDrive=true
    B:radar=true
    B:speaker=true
    B:speechBox=true
    B:tape=true

    opencomputers {
        B:beepCard=true
        B:boomBoard=true
        B:boomCard=true
        B:cameraUpgrade=true
        B:chatboxUpgrade=true
        B:colorfulUpgrade=true
        B:lightBoard=true
        B:magicalMemory=true
        B:noiseCard=true
        B:particleCard=true
        B:rackCapacitor=true
        B:radarUpgrade=true
        B:soundCard=true
        B:speechUpgrade=true
        B:spoofingCard=true
        B:switchBoard=true
    }

}


general {
    # Set whether some machines should stop being tickless in exchange for redstone output support. [default: true]
    B:enableTickingRedstoneSupport=true
}


##########################################################################################################
# modcompatibility
#--------------------------------------------------------------------------------------------------------#
# Set anything here to false to prevent Computronics from adding the respective Peripherals and Drivers
##########################################################################################################

modcompatibility {
    B:enableStorageDrawersDriver=true
}


particles {
    # The maximum range of particle-emitting devices. Set to -1 to make it work over any distance. [range: -1 ~ 65536, default: 256]
    I:particleRange=256
}


##########################################################################################################
# power
#--------------------------------------------------------------------------------------------------------#
# Every value related to energy in this section uses RF as the base power unit.
##########################################################################################################

power {
    # How much energy the Advanced Chipher Block can store [range: 0.0 ~ 100000.0, default: 16000.0]
    S:cipherEnergyStorage=16000.0

    # How much energy the Advanced Cipher Block should consume for creating a key set [range: 0.0 ~ 100000.0, default: 16000.0]
    S:cipherKeyConsumption=16000.0

    # How much base energy the Advanced Cipher Block should consume per encryption/decryption task. It will consume this value + 2*(number of characters in message) [range: 0.0 ~ 100000.0, default: 160.0]
    S:cipherWorkConsumption=160.0

    # How much energy a single beep will cost for 1 second [range: 0.0 ~ 10000.0, default: 10.0]
    S:ocBeepCardCostPerSound=10.0

    # How much energy will be consumed per tick to keep a Server Self-Destructor active. [range: 0.0 ~ 10000.0, default: 0.2]
    S:ocBoomBoardMaintenanceCost=0.2

    # How much energy changing the color of the Colorful Upgrade will cost [range: 0.0 ~ 10000.0, default: 2.0]
    S:ocColorfulUpgradeColorChangeCost=2.0

    # How much energy changing the color or state of a Light Board's light will cost [range: 0.0 ~ 10000.0, default: 2.0]
    S:ocLightBoardColorChangeCost=2.0

    # How much energy will be consumed per tick to keep a Light Board's light running. Note that this value is consumed for each active light on the board. [range: 0.0 ~ 10000.0, default: 0.2]
    S:ocLightBoardColorMaintenanceCost=0.2

    # How much energy 1 particle emission should take. Multiplied by the distance to the target. [range: 0.0 ~ 10000.0, default: 2.0]
    S:ocParticleCardCostPerParticle=2.0

    # How much energy a Rack Capacitor can store. [range: 0.0 ~ 10000.0, default: 7500.0]
    S:ocRackCapacitorCapacity=7500.0

    # How much energy the sound card will consume per second of processed sound. [range: 0.0 ~ 10000.0, default: 10.0]
    S:ocSoundCardCostPerSecond=10.0

    # How much energy sending one spoofed message should take [range: 0.0 ~ 10000.0, default: 2.0]
    S:ocSpoofingCardCostPerMessage=2.0

    # How much energy will be consumed per tick to keep a Switch Board's switch active. Note that this value is consumed for each active switch on the board. [range: 0.0 ~ 10000.0, default: 0.2]
    S:ocSwitchBoardMaintenanceCost=0.2

    # How much energy each 1-block distance takes by OpenComputers radars. [range: 0.0 ~ 10000.0, default: 50.0]
    S:radarCostPerBlock=50.0
}


radar {
    # The maximum range of the Radar. [range: 0 ~ 256, default: 8]
    I:maxRange=8

    # Stop Radars from outputting X/Y/Z coordinates and instead only output the distance from an entity. [default: true]
    B:onlyOutputDistance=true
}


recipes {
    # Set this to true to make some recipes not require OpenComputers blocks and items [default: false]
    B:easyRecipeMode=false
}


##########################################################################################################
# sound
#--------------------------------------------------------------------------------------------------------#
# Configs for sounds generated by devices like the Beep Card.
##########################################################################################################

sound {
    # The number of audio channels each sound card has. [range: 1 ~ 65536, default: 8]
    I:ocSoundCardChannelCount=8

    # Maximum delay allowed in a sound card's instruction queue, in milliseconds [range: 0 ~ 2147483647, default: 5000]
    I:ocSoundCardMaxDelay=5000

    # Maximum  number of instructons allowed in a sound cards instruction queue. This directly affects the maximum size of the packets sent to the client. [range: 0 ~ 2147483647, default: 1024]
    I:ocSoundCardQueueSize=1024

    client {
        # The radius in which generated sounds can be heard. [range: 0 ~ 64, default: 24]
        I:soundRadius=24

        # The sample rate used for generating sounds. Modify at your own risk. [range: 0 ~ 2147483647, default: 44100]
        I:soundSampleRate=44100

        # The base volume of generated sounds. [range: 0 ~ 127, default: 127]
        I:soundVolume=127
    }

}


tapedrive {
    # The amount of time (in milliseconds) used for pre-buffering the tape for audio playback. If you get audio playback glitches in SMP/your TPS is under 20, RAISE THIS VALUE! [range: 500 ~ 10000, default: 750]
    I:audioPreloadMs=750

    # The distance up to which Tape Drives can be heard. [range: 0 ~ 64, default: 24]
    I:hearingDistance=24

    # The lengths of the computronics tapes. Should be 10 numbers separated by commas [default: 4,8,16,32,64,2,6,16,128,128]
    S:tapeLengths=4,8,16,32,64,2,6,16,128,128

    portable {
        # The distance up to which Portable Tape Drives can be heard. [range: 0 ~ 64, default: 8]
        I:hearingDistance=8
    }

}


tts {
    # Enable Text To Speech. To use it, install MaryTTS, a language and a corresponding voice into the marytts directory of your minecraft instance. For installation instructions, see http://wiki.vex.tty.sh/wiki:computronics:mary [default: true]
    B:enableTextToSpeech=true

    # The maximum number of text bytes the speech box can process at a time. [range: 0 ~ 100000, default: 300]
    I:maxPhraseLength=300
}


